
Infrastructure - Task #1453

Story # 1378 (Closed): Adding new object formats shouldn't require buildout 

Proxy the Metacat ObjectFormatService as a D1 CN service

2011-03-29 14:17 - Chris Jones

Status: Closed Start date: 2011-03-29

Priority: Normal Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_cn_service Estimated time: 0.00 hour

Target version: Sprint-2011.35-Block.5   

Milestone: 2011-Block-2 Story Points:  

Product Version: *   

Description

Metacat will internally manage the object format list for D1, and the functionality needs to be exposed via the D1 CN_Crud API. 

Create a wrapper service that proxies the Metacat object format service in the same way that the CNs proxy the object service and

query service.

History

#1 - 2011-03-29 14:18 - Chris Jones

- Parent task set to #1378

#2 - 2011-06-15 15:02 - Chris Jones

- Status changed from New to In Progress

#3 - 2011-06-15 19:47 - Chris Jones

- Assignee changed from Chris Jones to Robert Waltz

Robert is refactoring the proxy code to include all of the CNCore API by creating  ProxyCNCoreService and MetacatProxyCNCoreServiceImpl classes

in d1_cn_service.  Assigning this to him.

#4 - 2011-06-21 15:05 - Robert Waltz

- Status changed from In Progress to Closed
